> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crunchz.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Location

> Share geographic location coordinates with WhatsApp users for delivery tracking, navigation, and location-based services.



## OpenAPI

````yaml POST /send-message/location
openapi: 3.1.0
info:
  title: CrunchzApp API Docs
  version: 1.0.0
  description: >-
    Comprehensive WhatsApp API for seamless messaging integration, automation,
    and customer communication in your applications.
servers:
  - url: https://api.crunchz.app/api
security:
  - http: []
paths:
  /send-message/location:
    post:
      tags:
        - Send Message
        - SendMessage
      description: >-
        Share geographic location coordinates with WhatsApp users for delivery
        tracking, navigation, and location-based services.
      operationId: sendMessage.sendLocation
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LocationMessageRequest'
      responses:
        '200':
          description: '`LocationMessageResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LocationMessageResource'
        '400':
          $ref: '#/components/responses/BadRequestException'
        '401':
          $ref: '#/components/responses/UnauthorizedException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
        '500':
          $ref: '#/components/responses/InternalServerErrorException'
components:
  schemas:
    LocationMessageRequest:
      type: object
      properties:
        contact_id:
          type: string
          description: Contact ID.
          pattern: ^[0-9]+@[cs]\.us$
          minLength: 10
          maxLength: 50
          example: xxx@c.us
        latitude:
          type: string
          description: Latitude of the location..
          pattern: ^-?([0-8]?[0-9]|90)(\.[0-9]{1,10})?$
          example: '38.8937255'
        longitude:
          type: string
          description: Longitude of the location.
          pattern: ^-?(1[0-7][0-9]|[0-9]?[0-9]|180)(\.[0-9]{1,10})?$
          example: '-77.0969763'
        title:
          type: string
          description: Title of the location.
          minLength: 1
          maxLength: 100
          example: Our office
        reply_to:
          type: string
          description: Message ID to reply to (optional)
          pattern: ^[A-Za-z0-9_-]+$
          minLength: 1
          maxLength: 100
          example: message_id_here
      required:
        - contact_id
        - latitude
        - longitude
        - title
      title: LocationMessageRequest
    LocationMessageResource:
      type: object
      properties:
        success:
          type: boolean
          description: The success status of response.
        message:
          type: string
          description: The message of response.
        data:
          type: object
          properties:
            status:
              type: string
              description: The status of the message.
            message:
              type: string
              description: The message location.
            timestamp:
              type: string
              description: The timestamp when it sent.
          required:
            - status
            - message
            - timestamp
      required:
        - success
        - message
        - data
      title: LocationMessageResource
  responses:
    BadRequestException:
      description: Bad request error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    UnauthorizedException:
      description: Unauthorized error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
    InternalServerErrorException:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````